Table of Contents

## Name

AuElementParameters - element parameters structure

## Structures

#include <audio/audiolib.h>

typedef struct _AuElementParameters
{
AuFlowID flow;
unsigned char element_num;
unsigned char num_parameters;
unsigned short pad;
AuInt32 parameters[AU_MAX_PARMS];
}AuElementParameters;

## Members

flow
  Specifies the ID of the flow.
element_num
  Specifies the index of the element.
num_parameters
  Specifies the number of parameters.
parameters
  Specifies an array containing the element parameters.

## Description

The AuElementParameters structure is used to access those element parameters that can be changed dynamically.

## See Also

AuGetElementParameters, AuSetElementParameters.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Structures
- Members
- Description
- See Also